Loading...
Searching...
No Matches
BALL::VIEW::SnapshotManagerInterface Class Reference

`#include <BALL/VIEW/KERNEL/snapshotManagerInterface.h>`

## Public Member Functions

| SnapshotManagerInterface ()
void | setup ()
void | takeSnapshot (const String &name)
void | applySnapshot (unsigned int i)
void | rename (unsigned int i, const String &name)

## Protected Attributes

unsigned int | num_snapshots_
std::vector< boost::shared_ptr< SnapShotManager > > | managers_
std::deque< String > | names_

## Detailed Description

Definition at line 15 of file snapshotManagerInterface.h.

## Constructor & Destructor Documentation

## SnapshotManagerInterface()

BALL::VIEW::SnapshotManagerInterface::SnapshotManagerInterface | ( |  | ) |

## Member Function Documentation

## applySnapshot()

void BALL::VIEW::SnapshotManagerInterface::applySnapshot | ( | unsigned int | i | ) |

## rename()

void BALL::VIEW::SnapshotManagerInterface::rename | ( | unsigned int | i,
|  | const String & | name )

## setup()

void BALL::VIEW::SnapshotManagerInterface::setup | ( |  | ) |

## takeSnapshot()

void BALL::VIEW::SnapshotManagerInterface::takeSnapshot | ( | const String & | name | ) |

## Member Data Documentation

## managers_

std::vector<boost::shared_ptr<SnapShotManager> > BALL::VIEW::SnapshotManagerInterface::managers_

protected

Definition at line 27 of file snapshotManagerInterface.h.

## names_

std::deque<String> BALL::VIEW::SnapshotManagerInterface::names_

protected

Definition at line 28 of file snapshotManagerInterface.h.

## num_snapshots_

unsigned int BALL::VIEW::SnapshotManagerInterface::num_snapshots_

protected

Definition at line 26 of file snapshotManagerInterface.h.